const permissionFunction = () => {
  const data = [
    {
      id: 1,
      menu_id: 1,
      menu_name: "My Portcall",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00001",
      status: 1,
    },
    {
      child: [
        {
          id: 56,
          menu_id: 56,
          menu_name: "Login Credential",
          pid: 2,
          rel: 1,
          short_code: "MENU-00056",
          status: 1,
        },
        {
          id: 57,
          menu_id: 57,
          menu_name: "Activate Voyage Listed",
          pid: 2,
          rel: 1,
          short_code: "MENU-00057",
          status: 1,
        },
        {
          id: 58,
          menu_id: 58,
          menu_name: "Archives Voyage List",
          pid: 2,
          rel: 1,
          short_code: "MENU-00058",
          status: 1,
        },
      ],
      id: 2,
      menu_id: 2,
      menu_name: "Master Noon Portal",
      pid: 0,
      rel: 2,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00002",
      status: 1,
    },
    {
      child: [
        {
          id: 59,
          menu_id: 59,
          menu_name: "Registration",
          pid: 3,
          rel: 1,
          short_code: "MENU-00059",
          status: 1,
        },
        {
          id: 60,
          menu_id: 60,
          menu_name: "Role",
          pid: 3,
          rel: 1,
          short_code: "MENU-00060",
          status: 1,
        },
        {
          id: 61,
          menu_id: 61,
          menu_name: "Register Company",
          pid: 3,
          rel: 1,
          short_code: "MENU-00061",
          status: 1,
        },
        {
          id: 62,
          menu_id: 62,
          menu_name: "Register Legal Identity",
          pid: 3,
          rel: 1,
          short_code: "MENU-00062",
          status: 1,
        },
        {
          id: 63,
          menu_id: 63,
          menu_name: "Register Agent",
          pid: 3,
          rel: 1,
          short_code: "MENU-00063",
          status: 1,
        },
        {
          id: 64,
          menu_id: 64,
          menu_name: "Activate Agent",
          pid: 3,
          rel: 1,
          short_code: "MENU-00064",
          status: 1,
        },
        {
          id: 65,
          menu_id: 65,
          menu_name: "Insutruction Set - Set Up",
          pid: 3,
          rel: 1,
          short_code: "MENU-00065",
          status: 1,
        },
        {
          id: 66,
          menu_id: 66,
          menu_name: "Notification Set Up",
          pid: 3,
          rel: 1,
          short_code: "MENU-00066",
          status: 1,
        },
      ],
      id: 3,
      menu_id: 3,
      menu_name: "Profile Setup",
      pid: 0,
      rel: 2,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00003",
      status: 1,
    },
    {
      id: 4,
      menu_id: 4,
      menu_name: "User Profile",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00004",
      status: 1,
    },
    {
      id: 5,
      menu_id: 5,
      menu_name: "Company Profile",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00005",
      status: 1,
    },
    {
      id: 6,
      menu_id: 6,
      menu_name: "Active Agent List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00006",
      status: 1,
    },
    {
      child: [
        {
          id: 67,
          menu_id: 67,
          menu_name: "Voyage Charter",
          pid: 7,
          rel: 1,
          short_code: "MENU-00067",
          status: 1,
        },
        {
          id: 68,
          menu_id: 68,
          menu_name: "COA(Cargo)",
          pid: 7,
          rel: 1,
          short_code: "MENU-00068",
          status: 1,
        },
        {
          id: 69,
          menu_id: 69,
          menu_name: "VC(Purchase)",
          pid: 7,
          rel: 1,
          short_code: "MENU-00069",
          status: 1,
        },
        {
          id: 70,
          menu_id: 70,
          menu_name: "COA (VC) -",
          pid: 7,
          rel: 1,
          short_code: "MENU-00070",
          status: 1,
        },
        {
          id: 71,
          menu_id: 71,
          menu_name: "Cargo Term Details",
          pid: 7,
          rel: 1,
          short_code: "MENU-00071",
          status: 1,
        },
        {
          id: 72,
          menu_id: 72,
          menu_name: "FFA Trade",
          pid: 7,
          rel: 1,
          short_code: "MENU-00072",
          status: 1,
        },
        {
          id: 73,
          menu_id: 73,
          menu_name: "Call/Buy Option Trade",
          pid: 7,
          rel: 1,
          short_code: "MENU-00073",
          status: 1,
        },
        {
          id: 74,
          menu_id: 74,
          menu_name: "Time Charter In Contract",
          pid: 7,
          rel: 1,
          short_code: "MENU-00074",
          status: 1,
        },
        {
          id: 75,
          menu_id: 75,
          menu_name: "Time Charter Out Contract",
          pid: 7,
          rel: 1,
          short_code: "MENU-00075",
          status: 1,
        },
        {
          id: 76,
          menu_id: 76,
          menu_name: "Voyage Estimate",
          pid: 7,
          rel: 1,
          short_code: "MENU-00076",
          status: 1,
        },
        {
          id: 77,
          menu_id: 77,
          menu_name: "TC Estimate",
          pid: 7,
          rel: 1,
          short_code: "MENU-00077",
          status: 1,
        },
        {
          id: 78,
          menu_id: 78,
          menu_name: "Voy Relet Contract - List",
          pid: 7,
          rel: 1,
          short_code: "MENU-00078",
          status: 1,
        },
        {
          id: 79,
          menu_id: 79,
          menu_name: "Barge/Boat Bareboat Contract",
          pid: 7,
          rel: 1,
          short_code: "MENU-00079",
          status: 1,
        },
        {
          id: 80,
          menu_id: 80,
          menu_name: "Shuttle Tanker Setup",
          pid: 7,
          rel: 1,
          short_code: "MENU-00080",
          status: 1,
        },
        {
          id: 81,
          menu_id: 81,
          menu_name: "Shuttle Voyage",
          pid: 7,
          rel: 1,
          short_code: "MENU-00081",
          status: 1,
        },
        {
          id: 82,
          menu_id: 82,
          menu_name: "Ship To Shore/Shore To Ship Setup",
          pid: 7,
          rel: 1,
          short_code: "MENU-00082",
          status: 1,
        },
        {
          id: 83,
          menu_id: 83,
          menu_name: "Estimate Quick Report",
          pid: 7,
          rel: 1,
          short_code: "MENU-00083",
          status: 1,
        },
        {
          id: 84,
          menu_id: 84,
          menu_name: "Estimate Details Report",
          pid: 7,
          rel: 1,
          short_code: "MENU-00084",
          status: 1,
        },
        {
          id: 85,
          menu_id: 85,
          menu_name: "P&L Estimate Report",
          pid: 7,
          rel: 1,
          short_code: "MENU-00085",
          status: 1,
        },
        {
          id: 876,
          menu_id: 176,
          menu_name: "OffHire/Deviation - List",
          pid: 7,
          rel: 1,
          short_code: "MENU-00176",
          status: 1,
        },
      ],
      id: 7,
      menu_id: 7,
      menu_name: "Chartering",
      pid: 0,
      rel: 2,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00007",
      status: 1,
    },
    {
      id: 8,
      menu_id: 8,
      menu_name: "Chartering Dashboard",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00008",
      status: 1,
    },
    {
      id: 9,
      menu_id: 9,
      menu_name: "Port To Port",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00009",
      status: 1,
    },
    {
      id: 10,
      menu_id: 10,
      menu_name: "Bunker Live Prices",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00010",
      status: 1,
    },
    {
      id: 11,
      menu_id: 11,
      menu_name: "Track All vessel LIVE",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00011",
      status: 1,
    },
    {
      id: 12,
      menu_id: 12,
      menu_name: "Vessel Database",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00012",
      status: 1,
    },
    {
      id: 13,
      menu_id: 13,
      menu_name: "Doc sharelink",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00013",
      status: 1,
    },
    {
      id: 14,
      menu_id: 14,
      menu_name: "Quick Estimate - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00014",
      status: 1,
    },
    {
      id: 15,
      menu_id: 15,
      menu_name: "Voyage Estimate - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00015",
      status: 1,
    },
    {
      id: 16,
      menu_id: 16,
      menu_name: "TC Estimate - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00016",
      status: 1,
    },
    {
      id: 17,
      menu_id: 17,
      menu_name: "Voy Relet - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00017",
      status: 1,
    },
    {
      id: 18,
      menu_id: 18,
      menu_name: "TC IN - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00018",
      status: 1,
    },
    {
      id: 19,
      menu_id: 19,
      menu_name: "TC Out - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00019",
      status: 1,
    },
    {
      id: 20,
      menu_id: 20,
      menu_name: "Voyage Charter - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00020",
      status: 1,
    },
    {
      id: 21,
      menu_id: 21,
      menu_name: "COA (Cargo) - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00021",
      status: 1,
    },
    {
      id: 22,
      menu_id: 22,
      menu_name: "VC(Purchase) - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00022",
      status: 1,
    },
    {
      id: 23,
      menu_id: 23,
      menu_name: "COA (VC) - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00023",
      status: 1,
    },
    {
      id: 24,
      menu_id: 24,
      menu_name: "Port/Berth Database",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00024",
      status: 1,
    },
    {
      child: [
        {
          id: 86,
          menu_id: 86,
          menu_name: "Active TCOV List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00086",
          status: 1,
        },
        {
          id: 87,
          menu_id: 87,
          menu_name: "Active TCTO List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00087",
          status: 1,
        },
        {
          id: 88,
          menu_id: 88,
          menu_name: "New Voyage Manager",
          pid: 25,
          rel: 1,
          short_code: "MENU-00088",
          status: 1,
        },
        {
          id: 89,
          menu_id: 89,
          menu_name: "Bunker Voyage Plan",
          pid: 25,
          rel: 1,
          short_code: "MENU-00089",
          status: 1,
        },
        {
          id: 90,
          menu_id: 90,
          menu_name: "Bunker Requirement - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00090",
          status: 1,
        },
        {
          id: 91,
          menu_id: 91,
          menu_name: "Bunker Purchase - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00091",
          status: 1,
        },
        {
          id: 92,
          menu_id: 92,
          menu_name: "Bunker Invoice - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00092",
          status: 1,
        },
        {
          id: 93,
          menu_id: 93,
          menu_name: "Bunker Hedging Contract",
          pid: 25,
          rel: 1,
          short_code: "MENU-00093",
          status: 1,
        },
        {
          id: 94,
          menu_id: 94,
          menu_name: "Portcall Dashboard",
          pid: 25,
          rel: 1,
          short_code: "MENU-00094",
          status: 1,
        },
        {
          id: 95,
          menu_id: 95,
          menu_name: "Create Portcall",
          pid: 25,
          rel: 1,
          short_code: "MENU-00095",
          status: 1,
        },
        {
          id: 96,
          menu_id: 96,
          menu_name: "PDA List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00096",
          status: 1,
        },
        {
          id: 97,
          menu_id: 97,
          menu_name: "FDA List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00097",
          status: 1,
        },
        {
          id: 98,
          menu_id: 98,
          menu_name: "Port Informaiton List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00098",
          status: 1,
        },
        {
          id: 99,
          menu_id: 99,
          menu_name: "Port Payment Invoice List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00099",
          status: 1,
        },
        {
          id: 100,
          menu_id: 100,
          menu_name: "Laytime Calculator",
          pid: 25,
          rel: 1,
          short_code: "MENU-00100",
          status: 1,
        },
        {
          id: 101,
          menu_id: 101,
          menu_name: "Laytime - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00101",
          status: 1,
        },
        {
          id: 102,
          menu_id: 102,
          menu_name: "Claim Invoice List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00102",
          status: 1,
        },
        {
          id: 103,
          menu_id: 103,
          menu_name: "Disputed Claim List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00103",
          status: 1,
        },
        {
          id: 104,
          menu_id: 104,
          menu_name: "Hire Payment Invoice List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00104",
          status: 1,
        },
        {
          id: 105,
          menu_id: 105,
          menu_name: "Hire Issue Bill List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00105",
          status: 1,
        },
        {
          id: 106,
          menu_id: 106,
          menu_name: "FHS List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00106",
          status: 1,
        },
        {
          id: 107,
          menu_id: 107,
          menu_name: "Fleet On Map",
          pid: 25,
          rel: 1,
          short_code: "MENU-00107",
          status: 1,
        },
        {
          id: 108,
          menu_id: 108,
          menu_name: "Voyage Optimization",
          pid: 25,
          rel: 1,
          short_code: "MENU-00108",
          status: 1,
        },
        {
          id: 109,
          menu_id: 109,
          menu_name: "Noon Verification List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00109",
          status: 1,
        },
        {
          id: 110,
          menu_id: 110,
          menu_name: "Vessel Performance & Report",
          pid: 25,
          rel: 1,
          short_code: "MENU-00110",
          status: 1,
        },
        {
          id: 111,
          menu_id: 111,
          menu_name: "TCI - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00111",
          status: 1,
        },
        {
          id: 112,
          menu_id: 112,
          menu_name: "TCO - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00112",
          status: 1,
        },
        {
          id: 113,
          menu_id: 113,
          menu_name: "Bareboat - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00113",
          status: 1,
        },
        {
          id: 114,
          menu_id: 114,
          menu_name: "Other Expense - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00114",
          status: 1,
        },
        {
          id: 115,
          menu_id: 115,
          menu_name: "Other Revenue - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00115",
          status: 1,
        },
        {
          id: 116,
          menu_id: 116,
          menu_name: "Other Invoice - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00116",
          status: 1,
        },
        {
          id: 117,
          menu_id: 117,
          menu_name: "Freight Invoice - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00117",
          status: 1,
        },
        {
          id: 118,
          menu_id: 118,
          menu_name: "Freight Commission - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00118",
          status: 1,
        },
        {
          id: 119,
          menu_id: 119,
          menu_name: "Demmurrage Commission - List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00119",
          status: 1,
        },
        {
          id: 120,
          menu_id: 120,
          menu_name: "Bunkering Performance Report",
          pid: 25,
          rel: 1,
          short_code: "MENU-00120",
          status: 1,
        },
        {
          id: 121,
          menu_id: 121,
          menu_name: "Bunkering Time Performance",
          pid: 25,
          rel: 1,
          short_code: "MENU-00121",
          status: 1,
        },
        {
          id: 122,
          menu_id: 122,
          menu_name: "Voyage Operation Performance",
          pid: 25,
          rel: 1,
          short_code: "MENU-00122",
          status: 1,
        },
        {
          id: 123,
          menu_id: 123,
          menu_name: "Cargo Performance",
          pid: 25,
          rel: 1,
          short_code: "MENU-00123",
          status: 1,
        },
        {
          id: 124,
          menu_id: 124,
          menu_name: "Pooling Distribution-List",
          pid: 25,
          rel: 1,
          short_code: "MENU-00124",
          status: 1,
        },
      ],
      id: 25,
      menu_id: 25,
      menu_name: "Operation",
      pid: 0,
      rel: 2,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00025",
      status: 1,
    },
    {
      id: 26,
      menu_id: 26,
      menu_name: "Analytical Dashboard",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00026",
      status: 1,
    },
    {
      id: 27,
      menu_id: 27,
      menu_name: "Voyage Manager -List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00027",
      status: 1,
    },
    {
      id: 28,
      menu_id: 28,
      menu_name: "Vessel Open schedule",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00028",
      status: 1,
    },
    {
      id: 29,
      menu_id: 29,
      menu_name: "Port Cost",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00029",
      status: 1,
    },
    {
      id: 30,
      menu_id: 30,
      menu_name: "Track fleet By Noon Rpt",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00030",
      status: 1,
    },
    {
      id: 31,
      menu_id: 31,
      menu_name: "Portcall List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00031",
      status: 1,
    },
    {
      id: 32,
      menu_id: 32,
      menu_name: "Noon Verification List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00032",
      status: 1,
    },
    {
      id: 33,
      menu_id: 33,
      menu_name: "Bunker requirement -List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00033",
      status: 1,
    },
    {
      id: 34,
      menu_id: 34,
      menu_name: "Laytime - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00034",
      status: 1,
    },
    {
      child: [
        {
          id: 125,
          menu_id: 125,
          menu_name: "Bunker Vendor Transaction List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00125",
          status: 1,
        },
        {
          id: 126,
          menu_id: 126,
          menu_name: "Agent Vendors Transaction List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00126",
          status: 1,
        },
        {
          id: 127,
          menu_id: 127,
          menu_name: "Other Vendors Transaction List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00127",
          status: 1,
        },
        {
          id: 128,
          menu_id: 128,
          menu_name: "Posted Invoice List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00128",
          status: 1,
        },
        {
          id: 129,
          menu_id: 129,
          menu_name: "Approved Invoice List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00129",
          status: 1,
        },
        {
          id: 130,
          menu_id: 130,
          menu_name: "Deleted Invoice List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00130",
          status: 1,
        },
        {
          id: 131,
          menu_id: 131,
          menu_name: "Prepared Invoice List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00131",
          status: 1,
        },
        {
          id: 132,
          menu_id: 132,
          menu_name: "TC Commission Invoice List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00132",
          status: 1,
        },
        {
          id: 133,
          menu_id: 133,
          menu_name: "Address Commission List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00133",
          status: 1,
        },
        {
          id: 134,
          menu_id: 134,
          menu_name: "Demmurrage Commission List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00134",
          status: 1,
        },
        {
          id: 881,
          menu_id: 177,
          menu_name: "Verified Invoice List",
          pid: 35,
          rel: 1,
          short_code: "MENU-00177",
          status: 1,
        },
      ],
      id: 35,
      menu_id: 35,
      menu_name: "Finance",
      pid: 0,
      rel: 2,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00035",
      status: 1,
    },
    {
      id: 36,
      menu_id: 36,
      menu_name: "Finance Dashboard",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00036",
      status: 1,
    },
    {
      id: 37,
      menu_id: 37,
      menu_name: "Hire Schedule - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00037",
      status: 1,
    },
    {
      id: 38,
      menu_id: 38,
      menu_name: "Hire Payable Trxn List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00038",
      status: 1,
    },
    {
      id: 39,
      menu_id: 39,
      menu_name: "Hire Issue Rcv Trxn List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00039",
      status: 1,
    },
    {
      id: 40,
      menu_id: 40,
      menu_name: "Bunker Invoice - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00040",
      status: 1,
    },
  {
      id: 540,
      menu_id: 540,
      menu_name: "Advance Payment - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00540",
      status: 1,
    },


    {
      id: 541,
      menu_id: 540,
      menu_name: "Advance Payment - Receipt Allocations",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00541",
      status: 1,
    },



    {
      id: 41,
      menu_id: 41,
      menu_name: "Trxn. Summary List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00041",
      status: 1,
    },
    {
      id: 42,
      menu_id: 42,
      menu_name: "Vendor transactional List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00042",
      status: 1,
    },
    {
      id: 43,
      menu_id: 43,
      menu_name: "General Invoice List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00043",
      status: 1,
    },
    {
      child: [
        {
          id: 135,
          menu_id: 135,
          menu_name: "Charter Party Forms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00135",
          status: 1,
        },
        {
          id: 136,
          menu_id: 136,
          menu_name: "Freight Codes",
          pid: 44,
          rel: 1,
          short_code: "MENU-00136",
          status: 1,
        },
        {
          id: 137,
          menu_id: 137,
          menu_name: "Laytime Types",
          pid: 44,
          rel: 1,
          short_code: "MENU-00137",
          status: 1,
        },
        {
          id: 138,
          menu_id: 138,
          menu_name: "Loading Costs",
          pid: 44,
          rel: 1,
          short_code: "MENU-00138",
          status: 1,
        },
        {
          id: 139,
          menu_id: 139,
          menu_name: "Laytime To Commence",
          pid: 44,
          rel: 1,
          short_code: "MENU-00139",
          status: 1,
        },
        {
          id: 140,
          menu_id: 140,
          menu_name: "NOR To Tender",
          pid: 44,
          rel: 1,
          short_code: "MENU-00140",
          status: 1,
        },
        {
          id: 141,
          menu_id: 141,
          menu_name: "Normal Off/Hrs",
          pid: 44,
          rel: 1,
          short_code: "MENU-00141",
          status: 1,
        },
        {
          id: 142,
          menu_id: 142,
          menu_name: "Other Loading Terms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00142",
          status: 1,
        },
        {
          id: 143,
          menu_id: 143,
          menu_name: "Shifting Terms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00143",
          status: 1,
        },
        {
          id: 144,
          menu_id: 144,
          menu_name: "Loading/Discharging Terms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00144",
          status: 1,
        },
        {
          id: 145,
          menu_id: 145,
          menu_name: "Time To Tender",
          pid: 44,
          rel: 1,
          short_code: "MENU-00145",
          status: 1,
        },
        {
          id: 146,
          menu_id: 146,
          menu_name: "Time Used",
          pid: 44,
          rel: 1,
          short_code: "MENU-00146",
          status: 1,
        },
        {
          id: 147,
          menu_id: 147,
          menu_name: "Working Days",
          pid: 44,
          rel: 1,
          short_code: "MENU-00147",
          status: 1,
        },
        {
          id: 148,
          menu_id: 148,
          menu_name: "Fuel Consumption Categories",
          pid: 44,
          rel: 1,
          short_code: "MENU-00148",
          status: 1,
        },
        {
          id: 149,
          menu_id: 149,
          menu_name: "Fuel Grade",
          pid: 44,
          rel: 1,
          short_code: "MENU-00149",
          status: 1,
        },
        {
          id: 150,
          menu_id: 150,
          menu_name: "Fuel Types",
          pid: 44,
          rel: 1,
          short_code: "MENU-00150",
          status: 1,
        },
        {
          id: 151,
          menu_id: 151,
          menu_name: "Departments/Terms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00151",
          status: 1,
        },
        {
          id: 152,
          menu_id: 152,
          menu_name: "Trade Areas",
          pid: 44,
          rel: 1,
          short_code: "MENU-00152",
          status: 1,
        },
        {
          id: 153,
          menu_id: 153,
          menu_name: "Operations Ledger",
          pid: 44,
          rel: 1,
          short_code: "MENU-00153",
          status: 1,
        },
        {
          id: 154,
          menu_id: 154,
          menu_name: "Units Of Measures",
          pid: 44,
          rel: 1,
          short_code: "MENU-00154",
          status: 1,
        },
        {
          id: 155,
          menu_id: 155,
          menu_name: "Port Activities Terms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00155",
          status: 1,
        },
        {
          id: 156,
          menu_id: 156,
          menu_name: "Port Functions",
          pid: 44,
          rel: 1,
          short_code: "MENU-00156",
          status: 1,
        },
        {
          id: 157,
          menu_id: 157,
          menu_name: "OPA Rates",
          pid: 44,
          rel: 1,
          short_code: "MENU-00157",
          status: 1,
        },
        {
          id: 158,
          menu_id: 158,
          menu_name: "Cargo Groups",
          pid: 44,
          rel: 1,
          short_code: "MENU-00158",
          status: 1,
        },
        {
          id: 159,
          menu_id: 159,
          menu_name: "Fuel Zone",
          pid: 44,
          rel: 1,
          short_code: "MENU-00159",
          status: 1,
        },
        {
          id: 160,
          menu_id: 160,
          menu_name: "Beaufort Scale",
          pid: 44,
          rel: 1,
          short_code: "MENU-00160",
          status: 1,
        },
        {
          id: 161,
          menu_id: 161,
          menu_name: "Sea States",
          pid: 44,
          rel: 1,
          short_code: "MENU-00161",
          status: 1,
        },
        {
          id: 162,
          menu_id: 162,
          menu_name: "Swell States",
          pid: 44,
          rel: 1,
          short_code: "MENU-00162",
          status: 1,
        },
        {
          id: 163,
          menu_id: 163,
          menu_name: "Delay Reasons",
          pid: 44,
          rel: 1,
          short_code: "MENU-00163",
          status: 1,
        },
        {
          id: 164,
          menu_id: 164,
          menu_name: "Delay Type",
          pid: 44,
          rel: 1,
          short_code: "MENU-00164",
          status: 1,
        },
        {
          id: 165,
          menu_id: 165,
          menu_name: "Currency Types",
          pid: 44,
          rel: 1,
          short_code: "MENU-00165",
          status: 1,
        },
        {
          id: 166,
          menu_id: 166,
          menu_name: "Exchange Rates",
          pid: 44,
          rel: 1,
          short_code: "MENU-00166",
          status: 1,
        },
        {
          id: 167,
          menu_id: 167,
          menu_name: "Business Rule",
          pid: 44,
          rel: 1,
          short_code: "MENU-00167",
          status: 1,
        },
        {
          id: 168,
          menu_id: 168,
          menu_name: "Accounting Rule",
          pid: 44,
          rel: 1,
          short_code: "MENU-00168",
          status: 1,
        },
        {
          id: 169,
          menu_id: 169,
          menu_name: "Bank Names",
          pid: 44,
          rel: 1,
          short_code: "MENU-00169",
          status: 1,
        },
        {
          id: 170,
          menu_id: 170,
          menu_name: "Port Instruction Set",
          pid: 44,
          rel: 1,
          short_code: "MENU-00170",
          status: 1,
        },
        {
          id: 171,
          menu_id: 171,
          menu_name: "Port Information",
          pid: 44,
          rel: 1,
          short_code: "MENU-00171",
          status: 1,
        },
        {
          id: 172,
          menu_id: 172,
          menu_name: "Subscription Plan",
          pid: 44,
          rel: 1,
          short_code: "MENU-00172",
          status: 1,
        },
        {
          id: 173,
          menu_id: 173,
          menu_name: "Task & Alert",
          pid: 44,
          rel: 1,
          short_code: "MENU-00173",
          status: 1,
        },
        {
          id: 891,
          menu_id: 179,
          menu_name: "Payment Terms",
          pid: 44,
          rel: 1,
          short_code: "MENU-00179",
          status: 1,
        },
      ],
      id: 44,
      menu_id: 44,
      menu_name: "Setting TERM",
      pid: 0,
      rel: 2,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00044",
      status: 1,
    },
    {
      id: 45,
      menu_id: 45,
      menu_name: "Add New Vessel",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00045",
      status: 1,
    },
    {
      id: 46,
      menu_id: 46,
      menu_name: "All Vessel List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00046",
      status: 1,
    },
    {
      id: 47,
      menu_id: 47,
      menu_name: "Port List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00047",
      status: 1,
    },
    {
      id: 48,
      menu_id: 48,
      menu_name: "Address Company List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00048",
      status: 1,
    },
    {
      id: 49,
      menu_id: 49,
      menu_name: "Add New Company",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00049",
      status: 1,
    },
    {
      id: 50,
      menu_id: 50,
      menu_name: "Country List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00050",
      status: 1,
    },
    {
      id: 51,
      menu_id: 51,
      menu_name: "New Cargo - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00051",
      status: 1,
    },
    {
      id: 52,
      menu_id: 52,
      menu_name: "Cargo-Vessel Match",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00052",
      status: 1,
    },
    {
      id: 53,
      menu_id: 53,
      menu_name: "Fleet Performance",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00053",
      status: 1,
    },
    {
      id: 54,
      menu_id: 54,
      menu_name: "CP Desk",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00054",
      status: 1,
    },
    {
      id: 55,
      menu_id: 55,
      menu_name: "Smart Mail",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00055",
      status: 1,
    },
    {
      id: 866,
      menu_id: 174,
      menu_name: "My Fleet For Tracking",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00173",
      status: 1,
    },
    {
      id: 871,
      menu_id: 175,
      menu_name: "Voy Estimation",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00175",
      status: 1,
    },
    {
      id: 886,
      menu_id: 178,
      menu_name: "Vessel File - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00178",
      status: 1,
    },
    {
      id: 896,
      menu_id: 180,
      menu_name: "Add New Vessel - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00180",
      status: 1,
    },
    {
      id: 901,
      menu_id: 181,
      menu_name: "Add New Company - List",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-00181",
      status: 1,
    },
    {
      id: 902,
      menu_id: 902,
      menu_name: "Voyage Efficiency Dashboard",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-000182",
      status: 1,
    },
    {
      id: 903,
      menu_id: 903,
      menu_name: "Cargo Analytical Dashboard",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-000183",
      status: 1,
    },
    {
      id: 904,
      menu_id: 904,
      menu_name: "Bunker Dashboard",
      pid: 0,
      rel: 1,
      role_id: 1,
      role_name: "Admin",
      short_code: "MENU-000184",
      status: 1,
    },
  ];

  return data;
};

export default permissionFunction;
